lp-set-dup crashed with KeyError in __getitem__(): '724563'

Bug #725092 reported by Jean-Baptiste Lallement on 2011-02-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ubuntu-dev-tools

I got this crash starting from today when using it the most basic way.

$ lp-set-dup 724563 724895
Setting up Launchpad
Launchpad setup complete
Traceback (most recent call last):
  File "/usr/bin/lp-set-dup", line 138, in <module>
    main()
  File "/usr/bin/lp-set-dup", line 77, in main
    new_main_bug = launchpad.bugs[args[0]]
  File "/usr/lib/python2.7/dist-packages/lazr/restfulclient/resource.py", line 935, in __getitem__
    raise KeyError(key)
KeyError: '724563'

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: ubuntu-dev-tools 0.118
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
Architecture: i386
Date: Fri Feb 25 17:29:15 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/lp-set-dup
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/lp-set-dup 724563 724895
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.utf8
 LANGUAGE=en_US:en
PythonArgs: ['/usr/bin/lp-set-dup', '724563', '724895']
SourcePackage: ubuntu-dev-tools
Title: lp-set-dup crashed with KeyError in __getitem__(): '724563'
UserGroups: adm admin audio cdrom dialout dip floppy fuse libvirtd lpadmin netdev plugdev scanner sudo video

Jean-Baptiste Lallement (jibel) wrote :
visibility: private → public
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.119

---------------
ubuntu-dev-tools (0.119) unstable; urgency=low

  * Support Launchpadlib 1.9. (LP: #725231, #725092)
    - Document Launchpadlib 1.9 issues in NEWS.
  * Remove manage-credentials, and credential handling code from
    ubuntutools.lp.libsupport. Launchpadlib 1.9 handles this via
    python-keyring. (LP: #387297, #645629, #689100)
  * Use Launchpadlib.login_with() directly in scripts.
  * Remove ubuntutools.lp.libsupport.approve_application, no longer used.
  * Remove ubuntutools.lp.libsupport.get_launchpad, no longer used.
  * Remove ubuntutools.lp.libsupport.translate_api_web, no longer used.
  * Skip pylint test if it crashes.
 -- Stefano Rivera <email address hidden> Tue, 01 Mar 2011 15:04:40 +0200

Changed in ubuntu-dev-tools (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers